org.gradle.external.javadoc

## Class JavadocOfflineLink

- java.lang.Object
- - org.gradle.external.javadoc.JavadocOfflineLink

- All Implemented Interfaces:
    Serializable

      public class JavadocOfflineLink
      extends Object
      implements Serializable

  This class is used to hold the information that can be provided to the javadoc executable via the -linkoffline option.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavadocOfflineLink(String extDocUrl, String packagelistLoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getExtDocUrl()`
    `String` | `getPackagelistLoc()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocOfflineLink

          public JavadocOfflineLink(String extDocUrl,
                            String packagelistLoc)

  - ### Method Detail

    - #### getExtDocUrl

          public String getExtDocUrl()

    - #### getPackagelistLoc

          public String getPackagelistLoc()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`